{-# LANGUAGE OverloadedStrings #-}

import Data.GI.CodeGen.CabalHooks (setupBinding, TaggedOverride(..))

import qualified GI.Gdk.Config as Gdk
import qualified GI.Gtk.Config as Gtk


main :: IO ()
main = setupBinding name version pkgName pkgVersion verbose overridesFile inheritedOverrides outputDir
  where name = "GtkLayerShell"
        version = "0.1"
        pkgName = "gi-gtk-layer-shell"
        pkgVersion = "0.1.2"
        overridesFile = Just "GtkLayerShell.overrides"
        verbose = False
        outputDir = Nothing
        inheritedOverrides = [TaggedOverride "inherited:Gdk" Gdk.overrides, TaggedOverride "inherited:Gtk" Gtk.overrides]
